Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management.rolemapper
Class RoleSecurityMgmtHelper

    java.lang.Object
      com.bea.p13n.security.management.rolemapper.RoleSecurityMgmtHelper

    public class RoleSecurityMgmtHelper

extends Object

Provides helper methods for accessing security management classes, especially those used to manage SSPI providers.

Field Summary
`static String` | `ROLE_MAPPER_ID`

Constructor Summary
`RoleSecurityMgmtHelper()`

Method Summary
`static RoleProviderDescription` | `findProviderByName(String aDisplayName)` Returns the configured SSPI authentication provider with a matching display name.
`static RoleProviderDescription` | `findProviderByUniqueName(String aUniqueId)` Returns the configured SSPI authentication provider with a matching unique id which is the concatenation of display name and version number.
`static RoleProviderDescription` | `getDefaultProvider()` Returns the default configured SSPI authentication provider.
`static List<RoleProviderDescription>` | `getProviders()` Returns the list of currently configured SSPI authentication providers.
`static SortablePagedResult<RoleProviderDescription>` | `getProviders(int pageSize, P13nContextHandler ctxHdl)` Returns the paginated result of role mapper providers that the caller at least has "View" capability
`static String` | `getProviderUniqueName(String aDisplayName, String aVersion)` Returns unique id of the provider which is the concatenation of display name and version number.
`static boolean` | `isMultiRoleProviderMode()` Returns an indication of whether multiple authentication providers have been configured.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROLE_MAPPER_ID

    public static final String ROLE_MAPPER_ID

See Also
  Constants Summary

Constructor Detail

### RoleSecurityMgmtHelper

    public RoleSecurityMgmtHelper()

Method Detail

### getProviders

    public static List<RoleProviderDescription> getProviders()
                                                      throws ProviderMgmtException

  Returns the list of currently configured SSPI authentication providers.

  Returns
    List of AtnProviderDescription objects
  Throws
    `ProviderMgmtException`

### getProviders

    public static SortablePagedResult<RoleProviderDescription> getProviders(int pageSize,
                                                                            P13nContextHandler ctxHdl)
                                                                     throws ProviderMgmtException

  Returns the paginated result of role mapper providers that the caller at least has "View" capability

  Returns
    Paged List of RoleProviderDescription objects
  Throws
    `ProviderMgmtException`

### getDefaultProvider

    public static RoleProviderDescription getDefaultProvider()
                                                      throws ProviderMgmtException

  Returns the default configured SSPI authentication provider.

  Returns
    default AtnProviderDescription
  Throws
    `ProviderMgmtException`

### findProviderByName

    public static RoleProviderDescription findProviderByName(String aDisplayName)
                                                      throws ProviderMgmtException

  Returns the configured SSPI authentication provider with a matching display name.

  Parameters
    `aDisplayName` - The name entered at the WLS console when creating a new authentication provider.
  Returns
    AtnProviderDescription or null, if no matching provider found
  Throws
    `ProviderMgmtException`

### findProviderByUniqueName

    public static RoleProviderDescription findProviderByUniqueName(String aUniqueId)
                                                            throws ProviderMgmtException

  Returns the configured SSPI authentication provider with a matching unique id which is the concatenation of display name and version number.

  Parameters
    `aUniqueId` - Concatenation of display name and version number
  Returns
    AtnProviderDescription or null, if no matching provider found
  Throws
    `ProviderMgmtException`

### getProviderUniqueName

    public static String getProviderUniqueName(String aDisplayName,
                                               String aVersion)

  Returns unique id of the provider which is the concatenation of display name and version number.

  Parameters
    `aDisplayName` - The provider name
    `aVersion` - The provider version
  Returns
    unique id

### isMultiRoleProviderMode

    public static boolean isMultiRoleProviderMode()

  Returns an indication of whether multiple authentication providers have been configured.

  Returns
    True if more than one authentication provider is found, else false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.